(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6631,        209]
NotebookOptionsPosition[      4281,        136]
NotebookOutlinePosition[      6290,        196]
CellTagsIndexPosition[      6174,        190]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Change",
 "\[Breve]Variables",
 " ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
  3.595228496107952*^9}, {3.5961127999960127`*^9, 3.596112801486098*^9}, {
  3.5961137786289873`*^9, 3.5961137842163067`*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
This function will return a function to perform a change of variables on an \
inert integral. The user must take responsibility that this step is valid in \
any particular situation.
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5961128103676057`*^9, 
  3.596112898861667*^9}, {3.5961129898688726`*^9, 3.5961130318612747`*^9}, {
  3.596113801095272*^9, 3.5961138866861677`*^9}, {3.5961180013715143`*^9, 
  3.5961180109380617`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "y"], 
    RowBox[{
     FractionBox["1", 
      SqrtBox[
       RowBox[{"1", "-", 
        SuperscriptBox["x", "2"]}]]], 
     RowBox[{"\[DifferentialD]", "x"}]}]}],
   ColourMaths`Integrate\[Breve]Inert,
   DefaultBaseStyle->{
    Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
   SelectWithContents->True], "//", 
  RowBox[{"Change\[Breve]Variables", "[", 
   RowBox[{
    RowBox[{"x", "->", 
     RowBox[{"Sin", "[", "u", "]"}]}], ",", "u"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.596117956560951*^9, 3.5961179752200184`*^9}},
 CellLabel->"In[8]:="],

Cell[BoxData[
 TagBox[
  RowBox[{
   SubsuperscriptBox["\[Integral]", "0", 
    RowBox[{"ArcSin", "[", "y", "]"}]], 
   RowBox[{
    FractionBox[
     RowBox[{"Cos", "[", "u", "]"}], 
     SqrtBox[
      RowBox[{"1", "-", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "u", "]"}], "2"]}]]], 
    RowBox[{"\[DifferentialD]", "u"}]}]}],
  ColourMaths`Integrate\[Breve]Inert,
  DefaultBaseStyle->{
   Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
  SelectWithContents->True]], "Output",
 CellChangeTimes->{3.5961179772411337`*^9},
 CellLabel->"Out[8]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "Change\[Breve]Variables"}]], "Input",
 CellChangeTimes->{{3.596114022131915*^9, 3.596114027136201*^9}},
 CellLabel->"In[6]:="],

Cell[BoxData[
 StyleBox["\<\"Function to Change variables in a protected integral, e.g. \
Change\[Breve]Variables[u->ArcTan[x],x]\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.5961140282672653`*^9},
 CellTags->"Info3596114028-1330752"]
}, Open  ]]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 53.8515088`9.4837727203748}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Function to Change variables in a protected integral, e.g. \
Change\[Breve]Variables[u->ArcTan[x],x]", "synonyms" -> {}, "title" -> 
    "Change\:02d8Variables", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/ChangeVariables"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 556, 13, 85, "Chapter",
   CellTags->"SwapOperations"]},
 "Info3596114028-1330752"->{
  Cell[4005, 128, 248, 4, 38, "Print",
   CellTags->"Info3596114028-1330752"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 5969, 181},
 {"Info3596114028-1330752", 6071, 184}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 556, 13, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1126, 37, 676, 12, 63, "Text"],
Cell[1805, 51, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[1979, 58, 665, 20, 48, "Input"],
Cell[2647, 80, 577, 18, 51, "Output"]
}, Open  ]],
Cell[3239, 101, 582, 18, 23, "Text"],
Cell[CellGroupData[{
Cell[3846, 123, 156, 3, 27, "Input"],
Cell[4005, 128, 248, 4, 38, "Print",
 CellTags->"Info3596114028-1330752"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

