(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5623,        177]
NotebookOptionsPosition[      3628,        114]
NotebookOutlinePosition[      5429,        169]
CellTagsIndexPosition[      5353,        164]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Diff ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
  3.595228496107952*^9}, {3.5961127999960127`*^9, 3.596112801486098*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
As explained in the main documentation, thebuilt-in D operator cannot be used \
reliably to differentiate an inert expression. Diff will work as a regular \
differentiation operator on arbitrary expressions.
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5961128103676057`*^9, 
  3.596112898861667*^9}, {3.5961129898688726`*^9, 3.5961130318612747`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Diff", "[", 
  RowBox[{
   TagBox[
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "k"}], " ", 
        SuperscriptBox["x", "2"]}], "]"}], 
      RowBox[{"\[DifferentialD]", "x"}]}]}],
    ColourMaths`Integrate\[Breve]Inert,
    DefaultBaseStyle->{
     Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
    SelectWithContents->True], ",", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.5961130505853453`*^9, 3.596113119695298*^9}},
 CellLabel->"In[12]:="],

Cell[BoxData[
 RowBox[{"-", 
  TagBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "\[Infinity]"], 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "k"}], " ", 
        SuperscriptBox["x", "2"]}]], " ", 
      SuperscriptBox["x", "2"]}], 
     RowBox[{"\[DifferentialD]", "x"}]}]}],
   ColourMaths`Integrate\[Breve]Inert,
   DefaultBaseStyle->{
    Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
   SelectWithContents->True]}]], "Output",
 CellChangeTimes->{3.5961131205403466`*^9},
 CellLabel->"Out[12]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 53.0164611`9.4769855793892}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Differentiation operator that can differentiate inside an inert \
integral", "synonyms" -> {}, "title" -> "Diff", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/Diff"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 474, 10, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 5257, 158}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 474, 10, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1044, 34, 597, 10, 63, "Text"],
Cell[1644, 46, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[1818, 53, 600, 17, 40, "Input"],
Cell[2421, 72, 594, 18, 39, "Output"]
}, Open  ]],
Cell[3030, 93, 582, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

