(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5379,        168]
NotebookOptionsPosition[      3383,        105]
NotebookOutlinePosition[      5187,        160]
CellTagsIndexPosition[      5111,        155]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "DoSummations ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
  3.595228496107952*^9}, {3.595253789334642*^9, 3.595253792168804*^9}, {
  3.595256145236392*^9, 3.595256149936661*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
The DoSummations function replaces any inert summations with standard calls \
to Integrate, which then get evaluated in the normal way.
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5952538019813657`*^9, 
  3.5952538726564083`*^9}, {3.595256161483321*^9, 3.595256170881859*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "+", 
   RowBox[{"b", " ", 
    TagBox[
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"n", "=", "0"}], "\[Infinity]"], 
      FractionBox["1", 
       SuperscriptBox["x", "n"]]}],
     ColourMaths`Sum\[Breve]Inert,
     DefaultBaseStyle->{
      Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
     SelectWithContents->True]}]}], " ", "//", "DoSummations"}]], "Input",
 CellChangeTimes->{{3.595251500216712*^9, 3.595251504997986*^9}, {
  3.5952538885643177`*^9, 3.5952539487877626`*^9}, {3.5952539976225557`*^9, 
  3.595254006196046*^9}, {3.5952561807874255`*^9, 3.595256244582074*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData[
 RowBox[{"a", "+", 
  FractionBox[
   RowBox[{"b", " ", "x"}], 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}]]}]], "Output",
 CellChangeTimes->{
  3.595253951319907*^9, {3.595253999610669*^9, 3.5952540078671417`*^9}, 
   3.595256248793315*^9},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 51.493374`9.46432619908992}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "A function which converts inert sums to unptotected ones", 
    "synonyms" -> {}, "title" -> "DoSummations", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/DoSummations"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 529, 11, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 5015, 149}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 529, 11, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1099, 35, 523, 9, 63, "Text"],
Cell[1625, 46, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[1799, 53, 687, 17, 49, "Input"],
Cell[2489, 72, 281, 9, 42, "Output"]
}, Open  ]],
Cell[2785, 84, 582, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

