(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6948,        214]
NotebookOptionsPosition[      4497,        139]
NotebookOutlinePosition[      6464,        197]
CellTagsIndexPosition[      6388,        192]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Get\[Breve]Highlight\[Breve]Formula ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
   3.595228496107952*^9}, 3.595251830631611*^9, {3.6013037261391425`*^9, 
   3.60130373867986*^9}, {3.6013137893487253`*^9, 3.601313792423901*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
Get\[Breve]Highlight\[Breve]Formula[name] \[Dash] returns the contents of a \
highlight cell as an expression. This is the primary way to refer to another \
expression in a notebook.\
\>", "Text",
 CellChangeTimes->{{3.595254490316736*^9, 3.5952546225142975`*^9}, {
  3.601303809633918*^9, 3.60130388537325*^9}}],

Cell["For example:", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5952518370979805`*^9, 
  3.5952518926301565`*^9}, {3.595254630931779*^9, 3.595254631915835*^9}}],

Cell[BoxData[
 RowBox[{"<<", " ", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[BoxData[
 TagBox[
  RowBox[{
   StyleBox["\"\<Newton's Law\>\"",
    FontSize->17], "\n", 
   TagBox[
    RowBox[{"F", "\[Equal]", 
     RowBox[{"a", " ", "m"}]}],
    ColourMaths`Private`HR2]}],
  ColourMaths`Private`HR1["Newton's Law"]]], "Input",
 CellFrame->True,
 CellChangeTimes->{{3.595254711042361*^9, 3.595254729677427*^9}, {
   3.5952549729013386`*^9, 3.5952549957716465`*^9}, {3.6013039550572357`*^9, 
   3.6013039594394865`*^9}, 3.6013042731004267`*^9},
 Background->RGBColor[0.88, 1, 0.88],
 CellLabel->"In[2]:="],

Cell["\<\
This will search for the named equation in the current notebook:\
\>", "Text",
 CellChangeTimes->{{3.601304303115144*^9, 3.6013043323378153`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Get\[Breve]Highlight\[Breve]Formula", "[", "\"\<Newton's Law\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.6013043365290546`*^9, 3.601304361468481*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 RowBox[{"F", "\[Equal]", 
  RowBox[{"a", " ", "m"}]}]], "Output",
 CellChangeTimes->{3.6013043628345594`*^9},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell["\<\
It is also possible to perform the search in a specified notebook:\
\>", "Text",
 CellChangeTimes->{{3.6013044015547743`*^9, 3.601304422553975*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nb", "=", 
   RowBox[{"SelectedNotebook", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Get\[Breve]Highlight\[Breve]Formula", "[", 
  RowBox[{"\"\<Newton's Law\>\"", ",", "nb"}], "]"}]}], "Input",
 CellChangeTimes->{{3.601304426908224*^9, 3.6013044423011045`*^9}},
 CellLabel->"In[3]:="],

Cell[BoxData[
 RowBox[{"F", "\[Equal]", 
  RowBox[{"a", " ", "m"}]}]], "Output",
 CellChangeTimes->{3.601304443397167*^9},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"],

Cell["See also Pick\[Breve]HighlightFormula", "Text",
 CellChangeTimes->{{3.6013137479123554`*^9, 3.601313771695716*^9}}]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{Automatic, 455}, {116, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 54.6475544`9.490145572946812}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Get\[Breve]Highlight\[Breve]Formula[name] \[Dash] Returns a named \
formula from the current notebook. The relevant notebook can be specified as \
a second argument.", "synonyms" -> {}, "title" -> 
    "Get\:02d8Highlight\:02d8Formula", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/GetHighlightFormula"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
ShowSyntaxStyles->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 582, 11, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 6292, 186}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 582, 11, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1152, 35, 322, 6, 39, "Text"],
Cell[1477, 43, 379, 5, 23, "Text"],
Cell[1859, 50, 154, 3, 27, "Input"],
Cell[2016, 55, 531, 15, 64, "Input"],
Cell[2550, 72, 156, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[2731, 79, 201, 4, 27, "Input"],
Cell[2935, 85, 147, 4, 25, "Output"]
}, Open  ]],
Cell[3097, 92, 158, 3, 23, "Text"],
Cell[CellGroupData[{
Cell[3280, 99, 332, 7, 48, "Input"],
Cell[3615, 108, 145, 4, 25, "Output"]
}, Open  ]],
Cell[3775, 115, 582, 18, 23, "Text"],
Cell[4360, 135, 121, 1, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

