(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5636,        171]
NotebookOptionsPosition[      3593,        107]
NotebookOutlinePosition[      5443,        163]
CellTagsIndexPosition[      5367,        158]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Red\[Breve]ColourAdd (Radd) ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
   3.595228496107952*^9}, {3.595253789334642*^9, 3.595253792168804*^9}, {
   3.5954233624747925`*^9, 3.595423370040225*^9}, 3.595423433523856*^9, 
   3.5954239087010345`*^9, {3.595511391864904*^9, 3.5955114075558014`*^9}, {
   3.595616326599902*^9, 3.595616337860546*^9}, {3.5956944119097958`*^9, 
   3.5956944222893896`*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
This function adds an expression to a red coloured part of an expression, and \
incorporates a noncoloured term to compensate.
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5952538019813657`*^9, 
  3.5952538726564083`*^9}, {3.5954239356535764`*^9, 3.5954240813629103`*^9}, {
  3.5955116191079016`*^9, 3.5955116714818974`*^9}, {3.595511707337948*^9, 
  3.595511725761002*^9}, {3.595616355469554*^9, 3.5956164083555784`*^9}, {
  3.5956944321949563`*^9, 3.5956944634577446`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{
     SuperscriptBox["a", "2"], "+", 
     SuperscriptBox["b", "2"]}],
    ColourMaths`Red\[Breve]Colour,
    DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]},
    SelectWithContents->True], " ", "//", 
   RowBox[{"Radd", "[", 
    RowBox[{"2", " ", "a", " ", "b"}], "]"}]}], " ", "//", 
  RowBox[{"RR1", "[", "Factor", "]"}]}]], "Input",
 CellChangeTimes->{{3.59569449187737*^9, 3.5956945544829507`*^9}},
 CellLabel->"In[4]:="],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "a", " ", "b"}], "+", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"a", "+", "b"}], ")"}], "2"]}]], "Output",
 CellChangeTimes->{{3.5956945322936816`*^9, 3.5956945563040547`*^9}},
 CellLabel->"Out[4]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 11, 11.7285313`8.821818590348439}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Add to Red\[Breve]Colour expression(s) Red\[Breve]Colour[expr] - expr", 
    "synonyms" -> {}, "title" -> "Red\:02d8ColourAdd", "type" -> "Symbol", 
    "uri" -> "ColourMaths/ref/RedColourAdd"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
ShowSyntaxStyles->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 753, 14, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 5271, 152}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 753, 14, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1323, 38, 721, 12, 47, "Text"],
Cell[2047, 52, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[2221, 59, 488, 14, 27, "Input"],
Cell[2712, 75, 268, 8, 25, "Output"]
}, Open  ]],
Cell[2995, 86, 582, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

