(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7878,        247]
NotebookOptionsPosition[      5558,        174]
NotebookOutlinePosition[      7460,        231]
CellTagsIndexPosition[      7384,        226]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Red\[Breve]ColourOperation (RR) ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
   3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
   3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
   3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
   3.595228496107952*^9}, {3.595253789334642*^9, 3.595253792168804*^9}, {
   3.5954233624747925`*^9, 3.595423370040225*^9}, 3.595423433523856*^9, 
   3.5954239087010345`*^9},
 CellTags->"SwapOperations"],

Cell["\<\
This function exists in variants for all the colours supported by \
ColourMaths, and as the corresponding abbreviations (RR in this case). It can \
take any number of arguments, which should consist of functions or rules. \
These are applied to the coloured parts of an expression only
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}, {3.5952538019813657`*^9, 
  3.5952538726564083`*^9}, {3.5954239356535764`*^9, 3.5954240813629103`*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sin", "[", "a", "]"}], "+", 
   TagBox[
    RowBox[{"Sin", "[", "b", "]"}],
    ColourMaths`Red\[Breve]Colour,
    DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], "+", 
   RowBox[{"Sin", "[", "c", "]"}]}], " ", "//", 
  RowBox[{"RR", "[", 
   RowBox[{
    RowBox[{"Sin", "[", "x_", "]"}], "->", 
    RowBox[{"x", "-", 
     RowBox[{
      RowBox[{"x", "^", "3"}], "/", "6"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.595251500216712*^9, 3.595251504997986*^9}, {
  3.5952538885643177`*^9, 3.5952539487877626`*^9}, {3.5952539976225557`*^9, 
  3.595254006196046*^9}, {3.595424098885913*^9, 3.595424207774141*^9}, {
  3.595424335972473*^9, 3.595424336565507*^9}},
 CellLabel->"In[9]:="],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   TagBox[
    RowBox[{"b", "-", 
     FractionBox[
      SuperscriptBox["b", "3"], "6"]}],
    ColourMaths`Red\[Breve]Colour,
    DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], ")"}], "+", 
  RowBox[{"Sin", "[", "a", "]"}], "+", 
  RowBox[{"Sin", "[", "c", "]"}]}]], "Output",
 CellChangeTimes->{
  3.595253951319907*^9, {3.595253999610669*^9, 3.5952540078671417`*^9}, 
   3.5952565822143855`*^9, 3.5952569175785675`*^9, {3.5954241951134167`*^9, 
   3.5954242086431904`*^9}, 3.595424337208544*^9},
 CellLabel->"Out[9]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sin", "[", "a", "]"}], "+", 
   TagBox[
    RowBox[{"Sin", "[", "b", "]"}],
    ColourMaths`Red\[Breve]Colour,
    DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], "+", 
   RowBox[{"Sin", "[", "c", "]"}]}], " ", "//", 
  RowBox[{"RR", "[", "f", "]"}]}]], "Input",
 CellChangeTimes->{3.595424247925437*^9},
 CellLabel->"In[6]:="],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"f", "[", 
    RowBox[{"Sin", "[", "b", "]"}], "]"}],
   ColourMaths`Red\[Breve]Colour,
   DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], "+", 
  RowBox[{"Sin", "[", "a", "]"}], "+", 
  RowBox[{"Sin", "[", "c", "]"}]}]], "Output",
 CellChangeTimes->{3.5954242495195284`*^9},
 CellLabel->"Out[6]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sin", "[", "a", "]"}], "+", 
   TagBox[
    RowBox[{"Sin", "[", "b", "]"}],
    ColourMaths`Red\[Breve]Colour,
    DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], "+", 
   RowBox[{"Sin", "[", "c", "]"}]}], " ", "//", 
  RowBox[{"RR", "[", 
   RowBox[{
    RowBox[{"f", "[", "#", "]"}], "&"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5954242881407375`*^9, 3.59542429326103*^9}},
 CellLabel->"In[7]:="],

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"f", "[", 
    RowBox[{"Sin", "[", "b", "]"}], "]"}],
   ColourMaths`Red\[Breve]Colour,
   DefaultBaseStyle->{FontColor -> RGBColor[1, 0, 0]}], "+", 
  RowBox[{"Sin", "[", "a", "]"}], "+", 
  RowBox[{"Sin", "[", "c", "]"}]}]], "Output",
 CellChangeTimes->{3.5954242943680935`*^9},
 CellLabel->"Out[7]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 56.1666413`9.502053290764641}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Returns a function that specialises a rule to apply to red\[Breve]colour \
parts of equation, colour retained", "synonyms" -> {}, "title" -> 
    "Red\:02d8ColourOperation", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/RedColourOperation"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
ShowSyntaxStyles->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 605, 12, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 7288, 220}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 605, 12, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1175, 36, 677, 11, 79, "Text"],
Cell[1855, 49, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[2029, 56, 738, 19, 27, "Input"],
Cell[2770, 77, 567, 15, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3374, 97, 379, 11, 27, "Input"],
Cell[3756, 110, 348, 10, 25, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4141, 125, 453, 13, 27, "Input"],
Cell[4597, 140, 348, 10, 25, "Output"]
}, Open  ]],
Cell[4960, 153, 582, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

