(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6887,        215]
NotebookOptionsPosition[      4791,        151]
NotebookOutlinePosition[      6690,        207]
CellTagsIndexPosition[      6614,        202]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "SwapOperations ",
 StyleBox["(part of the ColourMath package)",
  FontSize->12]
}], "Chapter",
 CellChangeTimes->{{3.4422352966623373`*^9, 3.442235300928472*^9}, {
  3.44731239346875*^9, 3.447312399453125*^9}, {3.447390701375*^9, 
  3.447390712625*^9}, {3.447390810796875*^9, 3.4473908173125*^9}, {
  3.4523472274375*^9, 3.452347231625*^9}, {3.59522847980902*^9, 
  3.595228496107952*^9}},
 CellTags->"SwapOperations"],

Cell["\<\
The SwapOperations function operates on an expressions that is an intert \
operation (Integral\[Breve]Inert etc.) which contains another inert operation \
that can be swapped over. In general, this process is subject to checks of \
uniform convergence, and it is up to the user to supply these if in doubt. 
For example:\
\>", "Text",
 CellChangeTimes->{{3.447390957390625*^9, 3.447391254703125*^9}, {
  3.452347238875*^9, 3.452347243484375*^9}, {3.4523544591875*^9, 
  3.45235455875*^9}, {3.595251075106397*^9, 3.5952512686584673`*^9}, {
  3.595251437904148*^9, 3.595251441313343*^9}}],

Cell[BoxData[
 RowBox[{"<<", "ColourMaths`"}]], "Input",
 CellChangeTimes->{{3.5952515116543665`*^9, 3.5952515167536583`*^9}},
 CellLabel->"In[1]:="],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "0", "1"], 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", "t"}], ")"}], 
       RowBox[{
        RowBox[{"-", "1"}], "-", "a", "+", "c"}]], " ", 
      SuperscriptBox["t", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "a"}]], " ", 
      TagBox[
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"j", "=", "0"}], "\[Infinity]"], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "t"}], " ", "z"}], ")"}], "j"], " ", 
         RowBox[{"Binomial", "[", 
          RowBox[{
           RowBox[{"-", "b"}], ",", "j"}], "]"}]}]}],
       ColourMaths`Sum\[Breve]Inert,
       DefaultBaseStyle->{
        Background -> RGBColor[0.6919200000000001, 0.6919200000000001, 1]},
       SelectWithContents->True]}], 
     RowBox[{"\[DifferentialD]", "t"}]}]}],
   ColourMaths`Integrate\[Breve]Inert,
   DefaultBaseStyle->{
    Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
   SelectWithContents->True], "//", "SwapOperations"}]], "Input",
 CellChangeTimes->{{3.595251500216712*^9, 3.595251504997986*^9}},
 CellLabel->"In[2]:="],

Cell[BoxData[
 TagBox[
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"j", "=", "0"}], "\[Infinity]"], 
   TagBox[
    RowBox[{
     SubsuperscriptBox["\[Integral]", "0", "1"], 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "t"}], ")"}], 
        RowBox[{
         RowBox[{"-", "1"}], "-", "a", "+", "c"}]], " ", 
       SuperscriptBox["t", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "a"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "t"}], " ", "z"}], ")"}], "j"], " ", 
       RowBox[{"Binomial", "[", 
        RowBox[{
         RowBox[{"-", "b"}], ",", "j"}], "]"}]}], 
      RowBox[{"\[DifferentialD]", "t"}]}]}],
    ColourMaths`Integrate\[Breve]Inert,
    DefaultBaseStyle->{
     Background -> RGBColor[0.6919200000000001, 0.6919200000000001, 1]},
    SelectWithContents->True]}],
  ColourMaths`Sum\[Breve]Inert,
  DefaultBaseStyle->{
   Background -> RGBColor[0.7440000000000001, 0.7440000000000001, 1]},
  SelectWithContents->True]], "Output",
 CellChangeTimes->{3.5952515275862775`*^9},
 CellLabel->"Out[2]="]
}, Open  ]],

Cell[TextData[{
 "Click",
 Cell[BoxData[
  RowBox[{" ", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{False->"\<\"here\"\>", True->
      StyleBox["\<\"here\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Link",
     ButtonData->"paclet:ColourMaths",
     ButtonNote->"paclet:ColourMaths"],
    Annotation[#, "paclet:ColourMaths", "Hyperlink"]& ]}]]],
 " for general information about the ColourMaths package"
}], "Text"]
}, Open  ]]
},
Saveable->False,
Selectable->True,
WindowSize->{717, 741},
WindowMargins->{{573, Automatic}, {84, Automatic}},
WindowFrame->"Normal",
Visible->True,
DockedCells->FEPrivate`FrontEndResource["FEExpressions", "HelpViewerToolbar"],
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, 
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"]}, {
   Cell[
    TextData[{"The Super Widget Package"}], "PageHeader"], Inherited, 
   Inherited}},
PageFooters->{{Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}, {
  Inherited, 
   Cell[
    TextData[{"\[Copyright]2006 David Bailey"}], "PageFooter"], Inherited}},
PrivateNotebookOptions->{"ShortBoxForm"->False},
ShowCellBracket->True,
ShowSelection->True,
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> {2014, 2, 14, 12, 10, 49.2442453`9.444930341502397}, "context" -> 
    "ColourMaths`", "keywords" -> {}, "index" -> True, "label" -> 
    "ColourMaths Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "ColourMaths Package", "status" -> "", "summary" -> 
    "Swaps various pairs of operations such as sums and integrals. This \
function must be applied to the exact object, not to a containing expression",
     "synonyms" -> {}, "title" -> "SwapOperations", "type" -> "Symbol", "uri" -> 
    "ColourMaths/ref/SwapOperations"}, "SearchTextTranslated" -> ""},
ShowCellLabel->False,
Magnification->1.,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SwapOperations"->{
  Cell[567, 22, 436, 10, 85, "Chapter",
   CellTags->"SwapOperations"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SwapOperations", 6518, 196}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 436, 10, 85, "Chapter",
 CellTags->"SwapOperations"],
Cell[1006, 34, 596, 10, 79, "Text"],
Cell[1605, 46, 149, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[1779, 53, 1254, 37, 51, "Input"],
Cell[3036, 92, 1142, 35, 50, "Output"]
}, Open  ]],
Cell[4193, 130, 582, 18, 23, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

